Subject: bug#38392: zap-up-to-char should appear in "Deletion and Killing" Emacs info section and "Command Index"

From: Justin Paston-Cooper <[email-masked]>
Date: Tue, 26 Nov 2019 19:34:37 +0100

Hello,

According to the documentation, zap-up-to-char allows one to kill up
to, but not including ARGth occurrence of CHAR. No reference is made
to zap-up-to-char in
https://www.gnu.org/software/emacs/manual/html_node/emacs/Killing.html
or https://www.gnu.org/software/emacs/manual/html_node/emacs/Command-Index.html.

It isn't immediately apparent from the documentation on zap-to-char in
the above sections, and also from the source of zap-to-char, that
there exists a way of zapping up to a char without writing this code
manually. I couldn't find any combination of keys, either, to press
after pressing M-z which would result in the same functionality.

It took me quite a while to come across zap-up-to-char. Could
documentation for this function be added to the Emacs manual?

Kind regards,

Justin